Create Service Location
curl --request POST \
--url https://app.silnahealth.com/api/public/v1/service-locations/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address_line_1": "54 Broome St",
"city": "New York",
"state": "NY",
"zip_code": "10001",
"address_line_2": "Apt 3",
"source_id": "my-unique-id-123"
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/service-locations/"
payload = {
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address_line_1": "54 Broome St",
"city": "New York",
"state": "NY",
"zip_code": "10001",
"address_line_2": "Apt 3",
"source_id": "my-unique-id-123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
address_line_1: '54 Broome St',
city: 'New York',
state: 'NY',
zip_code: '10001',
address_line_2: 'Apt 3',
source_id: 'my-unique-id-123'
})
};
fetch('https://app.silnahealth.com/api/public/v1/service-locations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Service Locations
Create Service Location
POST
/
public
/
v1
/
service-locations
/
Create Service Location
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The provider's Silna identifier
The provider group's Silna identifier
Location name
Primary address line
Example:
"54 Broome St"
City name
Example:
"New York"
Two-letter state code
Example:
"NY"
ZIP code
Example:
"10001"
Secondary address line
Example:
"Apt 3"
An API client's (internal) identifier for a service location
Example:
"my-unique-id-123"
Response
The newly created service location's Silna identifier
⌘I